mod_php for Ispconfig 3

Discussion in 'Installation/Configuration' started by Keagan, Jan 20, 2020.

  1. Keagan

    Keagan New Member

    Hello,

    how is possible to configure properly mod_php into newest ISPConfig with php 7.3. on Debian 10?
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    mod_php should not be used anymore, it's an outdated PHP mode that does not support proper user separation or in other words, it is insecure on systems that host multiple websites and it's incompatible with HTTP/2. Use php-fpm as PHP mode instead.
     
  3. Keagan

    Keagan New Member

    I know, thats not what I asked for.
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    You can still activate mod_php mode under System > server config > web in the current ISPConfig version. This option will get removed in the next major ISPConfig release and all sites that use mod_php will get converted to php-fpm.
     
    Keagan likes this.

Share This Page